## apmefo 0.11-1

=== Makefile ===
install:
	install -d $(DESTDIR)/opt/ApMeFo/classes/
	install -d $(DESTDIR)/opt/ApMeFo/ui
	install -d $(DESTDIR)/usr/share/doc/apmefo/
	install -d $(DESTDIR)/usr/share/applications/hildon/
	install -d $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/
	install -d $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/
	install -d $(DESTDIR)/usr/share/dbus-1/services/
	install -m 0755 src/Main.py 		$(DESTDIR)/opt/ApMeFo/
	install -m 0644 src/resources_rc.py 	$(DESTDIR)/opt/ApMeFo/
	install -m 0644 src/__init__.py 	$(DESTDIR)/opt/ApMeFo/
	install -m 0644 src/classes/*.py 	$(DESTDIR)/opt/ApMeFo/classes/
	install -m 0644 src/ui/*.py 		$(DESTDIR)/opt/ApMeFo/ui/
	install -m 0644 src/data/ApMeFo.desktop 	$(DESTDIR)/usr/share/applications/hildon/
	install -m 0644 src/data/application_apmefo_48.png 	$(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/application_apmefo.png
	install -m 0644 src/data/application_apmefo_64.png 	$(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/application_apmefo.png
	install -m 0644 src/data/ApMeFo.service 		$(DESTDIR)/usr/share/dbus-1/services/ApMeFo.service

=== src/ui/Makefile ===
Ui_appFolders.py: forms/appFolders.ui
	pyuic4 forms/appFolders.ui >Ui_appFolders.py

Ui_dialogDisplayText.py: forms/dialogDisplayText.ui
	pyuic4 forms/dialogDisplayText.ui >Ui_dialogDisplayText.py

Ui_dialogSelectFile.py: forms/dialogSelectFile.ui
	pyuic4 forms/dialogSelectFile.ui >Ui_dialogSelectFile.py

Ui_folders.py: forms/folders.ui
	pyuic4 forms/folders.ui >Ui_folders.py

all: Ui_appFolders.py Ui_dialogSelectFile.py Ui_folders.py Ui_dialogDisplayText.py

## apmefo 0.9-1

=== debian/changelog ===
apmefo (0.9-1) stable; urgency=low

  Initial Beta Release

 -- Doris "Nathraiben" Kub <ben@nathrai.de>  Tue, 22 Jun 2010 13:40:47 +0000

=== debian/control ===
Source: apmefo
Section: user/system
Priority: extra
Maintainer: Doris "Nathraiben" Kub <ben@nathrai.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: apmefo
Architecture: all
Depends: python2.5, python-osso, python-dbus, python-gobject, python2.5-qt4-maemo5, python2.5-qt4-gui, python2.5-qt4-dbus, python2.5-qt4-core, python2.5-qt4-common
Description: A small application to automate the process of editing hildon.menu in order to create folders in the application menu.
XSBC-Bugtracker: http://bugs.maemo.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAlwSFlzAAAL
 EwAACxMBAJqcGAAABdRJREFUaN7tmcuPXEcVh79TdW93T5vJJMTPCbYT2WBAEUGAxEMiCDaIhxDC
 YkPgD4giEViCiAQLduQPQJGyQEICFmETOQSBLBsMAUQkEMgMnuAIxcGPGXumZ7pvd92qc1h0j90z
 mVePb7eMREmtHs2trq6vzu9X51Q1/I83udcmZOWHDyH+HXRNEGcsLMzL8bnlrfq7e2z+jqvuyXix
 fCnMl2fK18IZigee+dPPH5oyww2/1j6Q3XOK6OmsiBxAwBBiSE89dvLoEfv7iasp9gWTTZvaMr+W
 mfO/yO45UZtgqpgCGAoNI30lUNzpsgp5X/0vTxTA7CMH6dgRGo07DgyxLY0L87c7rfZIhZGSbSM0
 AcRNVELPP3N8isvy7bKjX8Q6fS0Y5E33L7v8ge/KI6+eA6BVErtG0q0B1An1gQ0mBvDSHxfqXz19
 8DHMjqve+X+vlY7Wa/J0/Ov7br2e16+Wb6w0tGvoEICpQdqw9eiEAbwTspqgIv0JDRm3xH1BffbI
 MbM2+5sn8tLIbdBHDC0SrddW8INd35wQB2NM3sQR0Le4wwv2fjNAPK42tNhOSKGLtKPmfm0xIKX+
 KNndmZIMPi/Q2/Ckztzii/ru/UOBF0HbiWiK6u6/Qx0URbr28qurv8zMegIkMwP5/V0BmH32IK32
 Z3r/XpzFJVlL6mJGLcvTqfs/edHs7BkR4mD+xF6JqqzT946ZTaBRyy6fe7341vNnw82hRyVgewXw
 rC592a7E76NaF1sXFSI9K67o5Wn7GPC7FwHFCVYoaowEgAPvnB46lnUhFBsf7xUgY6E8Ii6bQW1d
 RSWARqj78j2Uta/b6uPX5G3n/8ANIRWRNCKACUgmiJMtJrLX1jWHRbRUZPOxpbzRezzvdr9h5cd/
 /OYVJ7yxfL+EhGzqAcV6ibgUkKEBTUC8wK2qAaY9JE9OWveFGyqbvEyclkvhUw/GJDT9jE35TZYZ
 RAxmPK0LC1gcIhQhOh3k3SoBSiAqKWwZgbWWGxwUBLxsW7879bRbgaYbjoBgoohzFQPEBKVgpVZ2
 qpBcLRYxkGHDpipK2odCy6oF6CjgtvPA6LYKsvSjV9o/6SzFhdvOEMEJ88/+iqJiCRlglUXAITSm
 3RL7ms89+8L1f24i2LAtgJ199Anq7p3bp0VTkl2QT/ztt2iCMqGhmggo0FD06EP1Amjvfj8H4q2P
 fpMb+kFL8qiaYVucPUWIerO3/8YLp6DolwRVAQBQGLRXRkxIwLW5zntnj00/EW8G2CLHpMERIjvc
 eLi5EmrWTTcNsFCdiSk9LvejA7QW077Zk0DaPkOaAr30YONdM59u/XnhZ/WG2802unO2HdRKFIHW
 qowOwD4H0dCw82KGEmq5PXzfyftOty8tY3EPlzOblBImQBC83wOARCD3SC47r6ZB7CjZVHbCHdlH
 U8Ci7RrC1Rzd6x3iYnjrDVXpoVjdQwSSQkPwDb9rOSjQONDoL+YIxWWWCZILy//ZsK2LQVdG3tj7
 3bsKPSP1UnU7yjZ6R41uO5ENyUVESPWItN3oABYNkm08q44NoG7G4Skj83fk480M7+Pbp2o2QhoY
 REAVQoSgfTON9W5IWFrV5XN/6fwj83I76dQFW4lp7ns/XSn2JqFopKhjl5AilN7Nf+mHy99h/WUJ
 wCJwfXQJhQSlYkknIqED0/4W8JvBHcXGfLkHE0eDaH0vjB1AcJnZYLLpbsfr54FmBiFWWxZsl819
 deNlAJmjRmmQlHHHQBXwUi0AZo4ykUod+082zkv/NFclgCmJ0qotjbeMgGBVR0CjJUKczC6kYM5V
 DJBMKQ3i+D1gDlJWtQdAKLWS2n5HCTmHuYo94DBP0IlFwKreRgXxlHEiu5A6JVXtATAhGBZs/MWc
 F8RbxQBmkdw43DTGXVFn3mj3LFUK8LUfvPnc507VTjQzccq4bSB6/lLvFSDfpJgbfbTB+yzwIaDG
 +JsCc8BFNvm1bK8Aa3/XJwQQ+H/rt/8CmA78u2OMBlsAAAAASUVORK5CYII=

## apmefo 0.9-2

=== debian/changelog ===
apmefo (0.9-2) stable; urgency=low

  Fixed .desktop file and opening existing folders in the Create/Edit tab

 -- Doris "Nathraiben" Kub <ben@nathrai.de>  Tue, 22 Jun 2010 18:12:31 +0000

## apmefo 0.9-3

=== debian/changelog ===
apmefo (0.9-3) stable; urgency=low

  Creating new folders should work now. Submenus directory is getting created in case it's missing.

 -- Doris "Nathraiben" Kub <ben@nathrai.de>  Tue, 22 Jun 2010 23:33:33 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/apmefo" install
	mkdir -p "$(CURDIR)/debian/apmefo"

#	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
	cp -a "src/opt/ApMeFo/ui/Ui_appFolders.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/Ui_appFolders.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
	cp -a "src/opt/ApMeFo/ui/Ui_dialogSelectFile.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/Ui_dialogSelectFile.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
	cp -a "src/opt/ApMeFo/ui/__init__.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/__init__.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
	cp -a "src/opt/ApMeFo/ui/appFolders.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/appFolders.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
	cp -a "src/opt/ApMeFo/ui/dialogSelectFile.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/dialogSelectFile.py"
	mkdir -p "$(CURDIR)/debian/apmefo/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/application_apmefo.png" "$(CURDIR)/debian/apmefo/usr/share/icons/hicolor/48x48/hildon/application_apmefo.png"
	mkdir -p "$(CURDIR)/debian/apmefo/usr/share/dbus-1/services/"
	cp -a "src/usr/share/dbus-1/services/ApMeFo.service" "$(CURDIR)/debian/apmefo/usr/share/dbus-1/services/ApMeFo.service"
	mkdir -p "$(CURDIR)/debian/apmefo/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/ApMeFo.desktop" "$(CURDIR)/debian/apmefo/usr/share/applications/hildon/ApMeFo.desktop"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/"
	cp -a "src/opt/ApMeFo/Main.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/Main.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/"
	cp -a "src/opt/ApMeFo/__init__.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/__init__.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/"
	cp -a "src/opt/ApMeFo/resources_rc.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/resources_rc.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"
	cp -a "src/opt/ApMeFo/classes/__init__.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/__init__.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"
	cp -a "src/opt/ApMeFo/classes/folderContent.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/folderContent.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"
	cp -a "src/opt/ApMeFo/classes/folderList.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/folderList.py"
	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"
	cp -a "src/opt/ApMeFo/classes/mainApp.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/mainApp.py"
	mkdir -p "$(CURDIR)/debian/apmefo/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/application_apmefo.png" "$(CURDIR)/debian/apmefo/usr/share/icons/hicolor/scalable/hildon/application_apmefo.png"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apmefo 0.9-6

=== debian/changelog ===
apmefo (0.9-6) stable; urgency=low

  Catorise compatibility, allow UTF-8 folder names, localised application names, improved icon fetch routines for applications, improved application fetch routines

 -- Doris "Nathraiben" Kub <ben@nathrai.de>  Mon, 05 Jul 2010 00:04:31 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: apmefo
 Architecture: all
 Depends: python2.5, python-osso, python-dbus, python-gobject, python2.5-qt4-maemo5, python2.5-qt4-gui, python2.5-qt4-dbus, python2.5-qt4-core, python2.5-qt4-common
-Description: A small application to automate the process of editing hildon.menu in order to create folders in the application menu.
+Description: Automate the process of creating folders in the application menu by editing hildon.menu
 XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAlwSFlzAAAL

=== debian/rules ===
--- 
+++ 
@@ -49,11 +49,15 @@
 #	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
 	cp -a "src/opt/ApMeFo/ui/Ui_appFolders.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/Ui_appFolders.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
+	cp -a "src/opt/ApMeFo/ui/Ui_dialogDisplayText.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/Ui_dialogDisplayText.py"
+	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
 	cp -a "src/opt/ApMeFo/ui/Ui_dialogSelectFile.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/Ui_dialogSelectFile.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
 	cp -a "src/opt/ApMeFo/ui/__init__.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/__init__.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
 	cp -a "src/opt/ApMeFo/ui/appFolders.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/appFolders.py"
+	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
+	cp -a "src/opt/ApMeFo/ui/dialogDisplayText.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/dialogDisplayText.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/"
 	cp -a "src/opt/ApMeFo/ui/dialogSelectFile.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/ui/dialogSelectFile.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/usr/share/icons/hicolor/48x48/hildon/"
@@ -70,6 +74,8 @@
 	cp -a "src/opt/ApMeFo/resources_rc.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/resources_rc.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"
 	cp -a "src/opt/ApMeFo/classes/__init__.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/__init__.py"
+	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"
+	cp -a "src/opt/ApMeFo/classes/diagnosisTool.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/diagnosisTool.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"
 	cp -a "src/opt/ApMeFo/classes/folderContent.py" "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/folderContent.py"
 	mkdir -p "$(CURDIR)/debian/apmefo/opt/ApMeFo/classes/"

## apmefo 0.11-1

=== debian/changelog ===
apmefo (0.11-1) stable; urgency=low

  * Upload to Extras to give users something better working.
    I will not provide updates as I am leaving Maemo platform.

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Fri, 10 Dec 2010 12:12:35 +0100

apmefo (0.10-2) stable; urgency=low

  * Some more improvements
    - do nothing when 'selectfolder' requester gets cancelled
    - made folder window autorotate
    - added spacer between up/down and add/del buttons
    - stacked folder window

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Mon, 08 Nov 2010 13:14:51 +0100

apmefo (0.10-1) stable; urgency=low

  * changed UI
  * fixed .desktop parsing by using ConfigParser python module
    (some Maemo packages has .desktop files with " " in key names - not
    parsable now)

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Thu, 16 Sep 2010 13:24:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,16 @@
 
 Package: apmefo
 Architecture: all
-Depends: python2.5, python-osso, python-dbus, python-gobject, python2.5-qt4-maemo5, python2.5-qt4-gui, python2.5-qt4-dbus, python2.5-qt4-core, python2.5-qt4-common
-Description: Automate the process of creating folders in the application menu by editing hildon.menu
-XSBC-Bugtracker: http://bugs.maemo.org
+Depends: python, python-osso, python-dbus, python-gobject,
+  python2.5-qt4-maemo5, python2.5-qt4-gui, python2.5-qt4-dbus,
+  python2.5-qt4-core, python2.5-qt4-common
+Description: Application launcher icons manager
+ ApMeFo allows the applications menu to be put into a series of folders.
+ Order inside of folder can be sorted by user. One application can be put info
+ few folders.
+ .
+# bugs.maemo.org was listed but does not have apmefo as product (hrw)
+#XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAlwSFlzAAAL
  EwAACxMBAJqcGAAABdRJREFUaN7tmcuPXEcVh79TdW93T5vJJMTPCbYT2WBAEUGAxEMiCDaIhxDC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	$(MAKE) DESTDIR="$(CURDIR)/debian/apmefo" install
	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
